/***************************************************************************
                          zoomtool.cpp  -  description
                             -------------------
    begin                : Thu Oct 30 2003
    copyright            : (C) 2003-2011 Arahne, d.o.o.
    email                : arahne@arahne.si
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "toolZoom.h"

extern char *getCommonPNG(const char *pixName);

ZoomTool::ZoomTool(ToolType ttyp, ZoomType ztyp):ToolBase(ttyp, 0)
{
  type = ztyp;
  if (type == ZoomInType)
    setToggleBtn(QPixmap(getCommonPNG("zoom-in")), tr("Zoom in"));
  else if (type == ZoomOutType)
    setToggleBtn(QPixmap(getCommonPNG("zoom-out")), tr("Zoom out"));
  
}

ZoomTool::~ZoomTool()
{  
}

void ZoomTool::doAction()
{
 if (type == ZoomInType)
  emit scaleUp(0, 0, true);
 else if (type == ZoomOutType)
  emit scaleDown(0, 0, true);
}

