/***************************************************************************
                          apaintconfig.h  -  description
                             -------------------
    begin                : Mon Aug 25 2003
    copyright            : (C) 2003-2011 Arahne, d.o.o.
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef APAINTCONFIG_H
#define APAINTCONFIG_H

#define YES_MSG				1
#define NO_MSG				2
#define OK_MSG				3
#define EXIT_MSG			4
#define CANCEL_MSG			5
#define ABORT_MSG			6
#define FILE_MSG			7
#define NEW_PICTURE_MSG			10
#define LOAD_PICTURE_MSG		11
#define SAVE_PICTURE_MSG		12
#define SAVE_PICTURE_MSG_AS		13
#define DELETE_FILE_MSG			14
#define PROGRAM_EXIT_MSG		15
#define SET_NUM_COL_MSG			19
#define REPEAT_DIM_MSG			21
#define HEIGHT_MSG			22
#define WIDTH_MSG			23
#define EDIT_MSG			25
#define UNDO_MSG			26
#define SELECT_ALL_MSG			27
#define CUT_MSG				28
#define COPY_MSG			29
#define PASTE_MSG			30
#define TOOLS_MSG     			35
#define REDUCE_AREA_MSG  		34
#define CONTOURS_MSG     		36
#define REMOVE_CONT_MSG  		37
#define THIN_CONT_MSG     		38
#define THICKEN_CONT_MSG  		40
#define AVERAGING_CONT_MSG  		41
#define DESPECLE_CONT_MSG  		42

#define DRAW_REPEAT_MSG  		43
#define FIND_REPEAT_MSG  		44

#define HORIZONTAL_MSG			46
#define VERTICAL_MSG			47
#define HELP_MSG			48
#define VIEW_MSG      			52
#define ABOUT_MSG			56
#define SORT_COLORS_MSG			67
#define RED_MSG				69
#define GREEN_MSG			70
#define BLUE_MSG			71
#define HUE_MSG				72
#define SATURATION_MSG			73
#define LIGHT_MSG			74
#define NUMBER_OF_COLOR_USED_MSG	82
#define FONT_ISO_MSG			83
#define NOT_ENOUGH_COLORS_MSG		88
#define TRANSPARENT_COLORS_MSG		89
#define PROTECTED_COLORS_MSG		90
#define ZOOM_MSG			96
#define MULTI_PASTE_MSG   		99

#define MOTIF_WIDTH_MSG			102
#define MOTIF_HEIGHT_MSG		103
#define WIDTH_REPEAT_NUMBER_MSG		105
#define HEIGHT_REPEAT_NUMBER_MSG	106
#define INVALID_FONT_MSG		107
#define FILE_SELECTION_OK_MSG		108
#define FILE_SELECTION_CANCEL_MSG	109
#define FILE_SELECTION_SEARCH_MSG	110
#define FILE_SELECTION_HELP_MSG		111
#define FILE_SELECTION_NO_MATCH_MSG	112
#define FILE_SELECTION_DIRECTORY_MSG	113
#define FILE_SELECTION_FILES_MSG	114
#define FILE_SELECTION_FILTER_MSG	115
#define FILE_SELECTION_SELECTION_MSG	116

#define MESSAGE_FILE_IN_PRINT_QUEUE_OK_MSG 123
#define PRINT_CANCELLED_MSG		124
#define ERROR_IO_MSG			125
#define ERROR_INTERNAL_CALL_SUPPORT_MSG	126
#define ERROR_PROCESS_CREATION_MSG	127
#define ERROR_WRONG_IMAGE_FOR_PRINT_MSG	128
#define WAIT_MSG			129
#define PRINTING_WAIT_MSG		130
#define CANCEL_PRINT_MSG		131
#define PRINTER_MSG			132
#define PRINT_MODE_MSG			133
#define PRINT_DENSITY_X_MSG		134
#define PRINT_DENSITY_Y_MSG		135
#define WARNING_PAPER_MSG		136
#define PRINT_TO_FILE_MSG		137
#define PRINT_TO_FILE_OK_MSG		138
#define PRINT_MODE_BLACK_AND_WHITE_MSG	139
#define PRINT_MODE_COLOR_DITHER_MSG	140
#define PRINT_MODE_COLOR_TRUE_MSG	141
#define ABSOLUTE_MSG			146
#define PRINT_MODE_COLORMAP_MSG		152
#define SAVING_WAIT_MSG			153
#define CANCEL_SAVE_MSG			154
#define LOAD_MOTIF_MSG			155
#define SAVE_MOTIF_MSG			156
#define PREVIEW_MSG			158

#define MAKE_COLOR_SHADES_MSG		160
#define OPERATION_CANCELLED_MSG		161
#define ERROR_WRONG_IMAGE_FOR_OPERATION_MSG 162
#define ERROR_FILE_CORRUPT_MSG		163
#define LOADING_WAIT_MSG		164
#define CANCEL_LOADING_MSG		165
#define INPUT_TEXT_MSG			166
#define SIZE_MSG			167
#define STYLE_MSG			168
#define FONT_MSG			169
#define FONT_SELECTOR_MSG		170
#define SHOW_PROP_FONT_MSG		171
#define SHOW_SIZE_IN_POINTS_MSG		172
#define REDUCE_COL_MSG                  176
#define NUMBER_OF_POINTS_MSG		183
#define RADIUS_MSG			184
#define NEW_MSG				185
#define ADD_CONT_MSG                    190
#define COLOR_REMAP_MSG                 194
#define GREY_MSG	                198

#define NOT_ENOUGH_MEMORY_MSG		500
#define COLOR_NUM_LESS_THEN_USED_COLORS_MSG 501
#define NO_SELECTION_MADE_MSG		502
#define CONTOUR_COLOR_ALREADY_SET_MSG	503
#define PICTURE_CHANGED_SAVE_MSG	504
#define FILE_EXISTS_OVERWRITE_MSG	505
#define PIXMAP_CREATION_ERROR_MSG	507
#define NOT_A_BITMAP_FILE_MSG		508
#define UNABLE_TO_SAVE_PICTURE_MSG	509

#define POINT_OUT_OF_SELECTED_AREA_MSG	512
#define NO_HELP_FILE_MSG		513
#define NO_RELATED_HELP_TEXT_MSG	514
#define NO_APPROPRIATE_HELP_MSG		515
#define UNABLE_TO_RESIZE_SELECTED_AREA_MSG 516
#define VIEW_ONLY_IN_THIS_MODE_MODE_MSG	517
#define ONLY_RECTANGULAR_AREAS_MAY_BE_ROTATED_MSG 518
#define PROG_PATH_ERROR_MSG		519
#define RESIZE_PICTURE_FATAL_ERROR_MSG	520
#define SELECTION_EXISTS_REPLACE_MSG	521
#define REDO_MSG	                600
#define ZOOM_IN_MSG	                601
#define ZOOM_OUT_MSG	                602
#define SHOW_GRID_MSG                   603
#define LOAD_LAYER_MSG                  604
#define SAVE_LAYER_MSG                  605
#define RESIZE_IMAGE_MSG                606
#define NOISE_MSG  	                607
#define GRID_PROP_MSG                   608
#define CONVERT_MSG                     609
#define COLORS_MSG                      610
#define COLOR_DEPTH                     611
#define COLOR_PALETTE                   612
#define TRUE_COLOR			613
#define DELETE_LAYER_MSG		650
#define SIZE_X_MSG			662
#define SIZE_Y_MSG			663
#define SIZE_XY_MSG			664
#define DAYS_OLD_MSG			665

#define ALL_MSG				669
#define MIRROR_HORIZONTAL_MSG		703
#define MIRROR_VERTICAL_MSG		704
#define NONE_MSG		        737
#define DUPLICATE_MSG		        738
#define COUNT_COLORS_MSG     		741
#define INVERT_MSG		        743
#define SELECTED_MSG		        744
#define CLEAR_MSG		        745
#define POPULARITY_MSG		        746
#define SIMILARITY_MSG		        747
#define FOUND_MSG		        748

#define FILTERS_MSG		        755
#define IKAT_MSG		        756

#define HORIZONTAL_VERTICAL_MSG		768

#define REPEAT_LAST_MSG			789
#define GRADIENT_MSG			793
#define SELF_AVOIDING_MOTIFS_MSG	795
#define CONTRAST_STRETCH_MSG		796
#define MIRROR_MSG			797
#define HALFDROP_MSG			798
#define SWAP_MSG			799
#define CYAN_MSG			800
#define MAGENTA_MSG			801
#define YELLOW_MSG			802
#define DIAMOND_MSG			803
#define HALVE_MSG			804
#define MIRROR_SEGMENT_MSG		805
#define CORAL_MSG			807
#define RANDOM_MOTIFS_MSG		808
#define REPEAT_FROM_CENTER_MSG		809
#define IMAGE_MSG			812
#define SHRINK_MSG			813
#define MULTIPLY_MSG			814
#define SMOOTH_MULTIPLY_MSG		815
#define SMOOTH_SHRINK_MSG		816
#define MODIFIED_MSG			817
#define PLACE_MOTIFS_MSG		818
#define MARBLE_MSG			819
#define REMOVE_GUIDES_MSG		820
#define SAVE_SETUP_MSG			822
#define USER_MANUAL_MSG			823
#define SHORTCUTS_MSG			824
#define LANGUAGE_CHANGE_RESTART_MSG	825
#define FAST_PATTERN_MSG		826
#define LOAD_COLORMAP_MSG		828
#define LICENSE_MSG			829
#define LOAD_COLORMAP_DITHER_MSG	837
#define FIND_EXACT_REPEAT_MSG  		838
#define PIXELS_MSG  			839
#define BYTES_MSG  			840


#define TMPDIR		"/tmp/"
#define PFX_APAINT	"apaint"

#include <qstring.h>
#include <qptrlist.h>

class QFile;
class QTextStream;
class QFont;
    
class ApaintConfig {
public: 

  static void initConfig();
  static void clearTmpDir();
  static bool clearDir(QString dirName);
  static void saveCfgData(char *language);
  static bool loadCfgData(QString path);
  static QString &getImgPath();
  static QString &getLang();
  static char *getManualLanguage();
  static bool loadMsgFile(QString msgFilename);
  static QString getText(int num);
  static int getNum(QString line);
  static int getFontSize();
  static QString getFontName();
  static QString getPrintFontName();
  static int getFontWeight();
  static bool getFontItalic();
  static int getClearIconCacheDays();
  static int getSmallFontSize();
  static int isRulerOn();
  static int getScreenDpi();
  static int getScreenDpiX();
  static int getScreenDpiY();
  static int getPixelSize(int pointSize);
  static int getBestPointSizeMainWin(QFont &font, int pixelSize);
  static int getBestPointSize(QFont &font, int pixelSize);
//  static int getPrinterXdpi();
//  static int getPrinterYdpi();
  static int getNumRecentFiles();
  static int getDivideRecentFilesIcon();
  static int getFirstPaletteColor();
  static bool useMetricSystem();
  static bool startBrowseWithFilter();
  static QString getAcrobatCommand();
  static QString getWwwBrowserCommand();
  static QString getPrintCommand(QString which);
  static QString getPrintCap();
  static QString getPrinterType();
  static float getLeftBorderMM();
  static float getUpperBorderMM();
  static float getPrintWidthMM();
  static float getPrintHeightMM();
  static bool makeTmpDir(const char *tmpdir, const char *pfx, QString &dirCreated);
  static void clearTmpDir(QString dirName);
  static bool getOpenWithBrowse();
  static int initialWindowSizeXpix();
  static int initialWindowSizeYpix();
  static int initialBrowseSizeXpix();
  static int initialBrowseSizeYpix();
  static bool getUseSharedMemory();
  static bool getHideSaveMenu();
  static bool getHideLoadMenu();
  static bool getHideLoadRecent();
  static bool getRecentFilesWithPath();
  static bool getShowRecentFilesDetail();
  static bool getShowRecentFilesDate();
  static bool getUseXFT();
  static bool getKeepColormap();
  static bool getFilenamePathInWindowTitle();
  static int getBrowseImageDisplay();
  static void setBrowseImageDisplayBit(int flag, bool enable);
  static void setBrowseWithFilter(int set);
  static QString getImageFormat();
};

#endif
