/***************************************************************************
                          simpletransformtool.h  -  description
                             -------------------
    begin                : Wed Aug 27 2003
    copyright            : (C) 2003-2011 Arahne, d.o.o.
    email                : arahne@arahne.si
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIMPLETRANSFORMTOOL_H
#define SIMPLETRANSFORMTOOL_H

#include <toolbase.h>
#include "apaintdoc.h"

enum SimpleTransformType{Mirrorx, Mirrory, Flip, Explode};

class SimpleTransformTool : public ToolBase  {
public: 
	 SimpleTransformTool(ToolType typ, SimpleTransformType transType, ApaintDoc *docp);
	~SimpleTransformTool();
   virtual void doAction();
   
private:
  
  ApaintDoc *doc;
  SimpleTransformType transMode;  
};

#endif
